1. API 명세
디버 OpenAPI
  • 디버 주문접수 OpenAPI 이용안내
  • 공통
    • 1. 꼭 읽어주세요 ‼️
    • 2. 주문 상태
    • 3. API Signature 생성
    • 4. 날짜&시간 형식
    • 5. 물품정보(items) 형식
    • 6. Vehicle 상세 (퀵)
    • 7. Vehicle 상세 (화물)
    • 8. 변경이력
    • 8. 변경이력
      • [202609] 운임조회 API 지역할증 필드 추가
  • API 명세
    • 배송가능시간 slot 확인
      POST
    • 운임조회(퀵)
      POST
    • 운임조회(화물)
      POST
    • 주문접수(퀵/화물 공통)
      POST
    • 주문 상태 리스트 조회
      POST
    • 주문 상세조회(퀵/화물 공통)
      GET
    • 주문 취소요청(퀵/화물 공통)
      DELETE
  • 콜백 명세
    • 주문상태 변경 웹훅(콜백)
  • Schemas
    • Response
      • OrderLIstDTO
      • OrderListPinDTO
    • Request
      • calculator
        • quick-calculator-scheme
        • freight-calculator-scheme
        • item dto
        • vehicle dto
        • vehicle-freight-dto
      • orders
        • 구버전 orders 요청
        • 신버전 orders 요청
        • pins
    • eventName Resource
      • additionalPrice resource
      • orderDispatched resource
      • orderReDispatched resource
      • orderOngoing resource
      • orderOneCompleted resource
      • orderAllCompleted
      • orderCanceled
    • 웹훅 공통
    • calculator schema Copy
    • 운임계산 상세정보
    • 운임 상세정보
    • 주문 상태
  1. API 명세

운임조회(퀵)

POST
https://openapi.dver.pe.kr/v2/calculator
퀵 운임을 조회합니다.
매 주문 건 별 운임조회 API를 호출해야 하며, 제공된 uuid 필드를 주문접수 시 첨부해야 합니다.

Request

Header Params

Body Params application/json

Examples
단건배송(경유지 없음, 즉시 픽업) 요금조회
차량배송 및 차종 상관없음
{
  "departure": { "latitude": 37.4979, "longitude": 127.0276 },
  "destination": { "latitude": 37.5665, "longitude": 126.9780 },
  "waypoint": [
    { "latitude": 37.5145, "longitude": 127.0595 }
  ],
  "isReserved": true,
  "pickupTime": "2026-09-16T14:00:00+09:00",
  "vehicle": { "category": "CAR", "type": "CAR_ANY" },
  "item": {
    "weight": 30,
    "document": 0,
    "smallBox": 2,
    "bigBox": 0,
    "etc": "노트북 2대"
  }
}

Responses

🟢200Success
application/json
운임조회 성공
Bodyapplication/json

Example
{
    "status": 200,
    "success": true,
    "data": {
        "basic": {
            "uuid": "01a0a3a8-7071-7b4a-8662-8c482fac8cab",
            "amount": 33000,
            "amountDetail": {
                "base": 6370,
                "distance": 8645,
                "freightOptions": 0,
                "weight": 11000,
                "waypoints": 4000,
                "fixed": -15,
                "surchargeFixed": 0,
                "express": 0,
                "time": 0,
                "weather": 0,
                "specialDay": 0,
                "region": 0,
                "vat": 3000
            },
            "duration": 110
        },
        "express": {
            "uuid": "01a0a3a8-7079-7eb2-8488-26a62c739227",
            "amount": 54780,
            "amountDetail": {
                "base": 6370,
                "distance": 8645,
                "freightOptions": 0,
                "weight": 11000,
                "waypoints": 4000,
                "fixed": -25,
                "surchargeFixed": 0,
                "express": 19810,
                "time": 0,
                "weather": 0,
                "specialDay": 0,
                "region": 0,
                "vat": 4980
            },
            "duration": 80
        },
        "totalDistance": 19660,
        "expireAt": "2026-09-17T06:01:58.490Z"
    }
}
🟠400Bad Request
🟠401Unauthorized
🔴500Internal Server Error
Previous
배송가능시간 slot 확인
Next
운임조회(화물)
Built with